var Class           = require('core').Class;
var Event       = require('core').Event.Event;
var ErrorEvent  = require('core').Event.ErrorEvent;
var EventDispatcher = require('core').Event.EventDispatcher;

var PluginAbstract  = require('./PluginAbstract.js').PluginAbstract;
var fs = require('fs');


var Merge = function(){

    this.Extends = PluginAbstract;
    
    this.execute = function(data, params){
        
        console.log('     -- MERGE plugin execute');
        var content = "";
        for(var prop in this._config.files){
            content += this._config.files[prop];
        }
        console.log('     -- MERGE dispatch READY');
        this.dispatchEvent(new Event(PluginAbstract.Event.READY, content));
    };
    
};

Merge = new Class(new Merge());
exports.Merge = Merge;