var Class = require('core').Class;
var Fs = require('fs');
var Route = require('./Route.js').Route;

var ResourceRoute = function(){
    this.Extends = Route;
    this.pattern = null;
    this._paramsPath = null;
    this.params = null;
    this.initialize = function(name, paramsPath){
        this.parent(name);
        this._paramsPath = paramsPath;
        this.pattern = new RegExp(name)
    };
    this.match = function(request){
        var test = false, paramid = null;
        test = request.getPath().match(this.pattern);
        console.log('Resource route:/test', test);
        if(test){
            paramid = request.getQueryParam('paramid');
            console.log('Resource route:/paramid', paramid);
            if(!paramid){
                this.params = {};
                return true;
            }
            try {
                var file = Fs.readFileSync(this._paramsPath + paramid);
                this.params = JSON.parse(file);
                return true
            }
            catch(err){
                //TODO
                console.log("RR >>", err);
                return false;
            }
        }
        return false;
    };
};
ResourceRoute = new Class( new ResourceRoute() );
exports.ResourceRoute = ResourceRoute;