var Class       = require('core').Class;
var Core        = require('core');
var Event       = require('core').Event.Event;
var ErrorEvent  = require('core').Event.ErrorEvent;
var TemplateApi = require("./TemplateApi.js").TemplateApi;



var Ocdn = function () {
    this.Extends = TemplateApi;
    this._cm = null;
    this._credentialData = null;
    
    this.start = function(){
        var that = this;
        var credentialKey = this.config.credential.key;
		this._cm = Core.Credentials.CredentialsManager.factory('template-engine');
		this._cm.addEventListener(Core.Credentials.CredentialsManager.Event.LOADED, credentialKey, function(data){
			that._credentialData = data.data;
            that.dispatchEvent(new Event(TemplateApi.Event.READY));
		}).addEventListener(Core.Credentials.CredentialsManager.Event.ERROR, credentialKey, function(e){
			that.dispatchEvent(new ErrorEvent(TemplateApi.Event.READY, e));
		});
		this._cm.getCredential(credentialKey);
    };
    
    this.getUrl = function(resourcePath){
        return this._credentialData.name + '/' + resourcePath;
    };
    
};

Ocdn = new Class(new Ocdn());
exports.Ocdn = Ocdn;