var Class           = require('core').Class;
var Event           = require('core').Event.Event;
var ErrorEvent      = require('core').Event.ErrorEvent;
var EventDispatcher = require('core').Event.EventDispatcher;


var TemplateApi = function () {
    this.Extends = EventDispatcher;
    
    this.initialize = function(configuration){
        this.config = configuration;
    }
    
    this.start = function(){
        throw "You have to override method start!";
    };
    
};

TemplateApi = new Class(new TemplateApi());

TemplateApi.Event = {};
TemplateApi.Event.READY = "TemplateApi.Event.READY";
TemplateApi.Event.ERROR = "TemplateApi.Event.ERROR";

exports.TemplateApi = TemplateApi;