var Class = require('core').Class;
var Route = require('./Route.js').Route;

var StaticRoute = function(){
    this.Extends = Route;
    this.pattern = null;
    this.initialize = function(name){
        this.parent(name);
        this.pattern = new RegExp(name)
    };
    this.match = function(request){
        return request.getPath().match(this.pattern);
    };
};
StaticRoute = new Class( new StaticRoute() );
exports.StaticRoute = StaticRoute;